Bug 243484 - Oops in usb add device
Oops in usb add device
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 19:19 EDT by Martin Ebourne
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.22.1-33.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 17:06:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 8564 None None None Never

  None (edit)
Description Martin Ebourne 2007-06-08 19:19:33 EDT
Description of problem:
Kernel oops when plugging in a USB sound card.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3194.fc7
mkinitrd-6.0.9-5
The rest of the system is a fully up to date Fedora Core 6. (Yes I was starting
an upgrade from fc6 to f7 using smart and rebooted into the new kernel to check
it was ok before continuing.)

How reproducible:


Steps to Reproduce:
1. Boot into fedora 7 kernel
2. Plug in USB sound card (Soundblaster live 24bit)
  
Actual results:
Jun  8 23:44:30 gliadin kernel: usb 1-2: new full speed USB device using
uhci_hcd and address 4
Jun  8 23:44:30 gliadin kernel: usb 1-2: configuration #1 chosen from 1 choice
Jun  8 23:44:31 gliadin kernel: usbcore: registered new interface driver
snd-usb-audio
Jun  8 23:44:35 gliadin kernel: usb 5-1.4: new full speed USB device using
ehci_hcd and address 16
Jun  8 23:44:35 gliadin kernel: usb 5-1.4: device descriptor read/64, error -32
Jun  8 23:44:35 gliadin kernel: usb 5-1.4: device descriptor read/64, error -32
Jun  8 23:44:35 gliadin kernel: usb 5-1.4: new full speed USB device using
ehci_hcd and address 17
Jun  8 23:44:36 gliadin kernel: usb 5-1.4: device descriptor read/64, error -32
Jun  8 23:44:36 gliadin kernel: usb 5-1.4: device descriptor read/64, error -32
Jun  8 23:44:36 gliadin kernel: usb 5-1.4: new full speed USB device using
ehci_hcd and address 18
Jun  8 23:44:36 gliadin kernel: usb 5-1.4: configuration #1 chosen from 1 choice
Jun  8 23:44:36 gliadin kernel: ftdi_sio 5-1.4:1.0: FTDI USB Serial Device
converter detected
Jun  8 23:44:36 gliadin kernel: Unable to handle kernel NULL pointer dereference
at 0000000000000014 RIP: 
Jun  8 23:44:36 gliadin kernel:  [<ffffffff88229452>]
:ftdi_sio:ftdi_USB_UIRT_setup+0x34/0x4b
Jun  8 23:44:36 gliadin kernel: PGD 0 
Jun  8 23:44:36 gliadin kernel: Oops: 0002 [1] SMP 
Jun  8 23:44:36 gliadin kernel: last sysfs file: /class/sound/pcmC1D0c/pcm_class
Jun  8 23:44:36 gliadin kernel: CPU 0 
Jun  8 23:44:36 gliadin kernel: Modules linked in: snd_usb_audio snd_usb_lib
snd_hwdep nfsd exportfs it87 hwmon_vid eeprom i2c_isa hidp hci_usb nfs nfs_acl
rfcomm l2cap bluetooth lockd sunrpc ipt_LOG nf_conntrack_ipv4 xt_state
nf_conntrack nfnetlink xt_tcpudp xt_limit iptable
_filter ip_tables x_tables cpufreq_ondemand video sbs i2c_ec button dock battery
ac lp snd_via82xx snd_ac97_codec ac97_bus prism54pci snd_seq_dummy snd_seq_oss
snd_seq_midi_event prism54common mac80211 snd_seq ftdi_sio snd_pcm_oss pl2303
cfg80211 sr_mod snd_mixer_oss cdrom sn
d_pcm prism54 k8temp shpchp snd_timer snd_page_alloc hwmon k8_edac
snd_mpu401_uart snd_rawmidi sg pcspkr edac_mc snd_seq_device snd 8139cp
i2c_viapro 8139too i2c_core soundcore mii parport_pc parport ns558 serio_raw
gameport usbserial dm_snapshot dm_zero dm_mirror dm_mod sata
_via pata_via ata_generic libata sd_mod scsi_mod ext3 jbd mbcache ehci_hcd
ohci_hcd uhci_hcd
Jun  8 23:44:36 gliadin kernel: Pid: 131, comm: khubd Not tainted
2.6.21-1.3194.fc7 #1
Jun  8 23:44:36 gliadin kernel: RIP: 0010:[<ffffffff88229452>] 
[<ffffffff88229452>] :ftdi_sio:ftdi_USB_UIRT_setup+0x34/0x4b
Jun  8 23:44:36 gliadin kernel: RSP: 0018:ffff81001f98f950  EFLAGS: 00010246
Jun  8 23:44:36 gliadin kernel: RAX: 0000000000000000 RBX: ffff81001107f3c0 RCX:
ffffffff88229b7e
Jun  8 23:44:36 gliadin kernel: RDX: ffffffff88230f00 RSI: ffff81001ea7b9c0 RDI:
ffff81001107f3c0
Jun  8 23:44:36 gliadin kernel: RBP: 0000000000000040 R08: 0000000000000000 R09:
ffff81000ebb45c0
Jun  8 23:44:36 gliadin kernel: R10: 0000000000000000 R11: ffffffff88230b28 R12:
ffff81001107fc80
Jun  8 23:44:36 gliadin kernel: R13: ffff81001107f3c0 R14: ffffffff88230bc0 R15:
0000000000000000
Jun  8 23:44:36 gliadin kernel: FS:  00002aaaab677710(0000)
GS:ffffffff8059c000(0000) knlGS:0000000000000000
Jun  8 23:44:36 gliadin kernel: CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
Jun  8 23:44:36 gliadin kernel: CR2: 0000000000000014 CR3: 000000001e31e000 CR4:
00000000000006e0
Jun  8 23:44:36 gliadin kernel: Process khubd (pid: 131, threadinfo
ffff81001f98e000, task ffff81001f8c20c0)
Jun  8 23:44:36 gliadin kernel: Stack:  ffff81000ebb5400 ffffffff882280a7
ffff81001107fc80 ffffffff880efb02
Jun  8 23:44:36 gliadin kernel:  0000000000000000 ffff81000e4d9800
ffff81000e4d9978 ffff81000e4d9820
Jun  8 23:44:36 gliadin kernel:  ffff81000e589000 00000000000412d0
0000000100000000 0000000100000001
Jun  8 23:44:36 gliadin kernel: Call Trace:
Jun  8 23:44:36 gliadin kernel:  [<ffffffff882280a7>]
:ftdi_sio:ftdi_sio_attach+0x17/0x1b
Jun  8 23:44:36 gliadin kernel:  [<ffffffff880efb02>]
:usbserial:usb_serial_probe+0xa05/0xe47
Jun  8 23:44:36 gliadin kernel:  [<ffffffff80218a47>] vsnprintf+0x33f/0x5a3
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8023ab50>] lock_timer_base+0x26/0x4b
Jun  8 23:44:36 gliadin kernel:  [<ffffffff80245f30>]
try_to_del_timer_sync+0x51/0x5a
Jun  8 23:44:36 gliadin kernel:  [<ffffffff803b6649>] usb_resume_both+0xb1/0xc9
Jun  8 23:44:36 gliadin kernel:  [<ffffffff803b7135>] usb_probe_interface+0xa7/0xde
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039e5ea>] __device_attach+0x0/0x5
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039e4b6>] really_probe+0xcd/0x152
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039e5ea>] __device_attach+0x0/0x5
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039d866>] bus_for_each_drv+0x40/0x72
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039e67b>] device_attach+0x69/0x7c
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039d800>] bus_attach_device+0x23/0x49
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039c555>] device_add+0x459/0x75f
Jun  8 23:44:36 gliadin kernel:  [<ffffffff803b5773>]
usb_set_configuration+0x39f/0x427
Jun  8 23:44:36 gliadin kernel:  [<ffffffff803bc946>] generic_probe+0x1a6/0x1f2
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039e5ea>] __device_attach+0x0/0x5
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039e4b6>] really_probe+0xcd/0x152
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039e5ea>] __device_attach+0x0/0x5
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039d866>] bus_for_each_drv+0x40/0x72
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039e67b>] device_attach+0x69/0x7c
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039d800>] bus_attach_device+0x23/0x49
Jun  8 23:44:36 gliadin kernel:  [<ffffffff8039c555>] device_add+0x459/0x75f
Jun  8 23:44:36 gliadin kernel:  [<ffffffff803b14a8>] usb_new_device+0x88/0xd3
Jun  8 23:44:36 gliadin kernel:  [<ffffffff803b27c1>] hub_thread+0x7e8/0xbd9
Jun  8 23:44:36 gliadin kernel:  [<ffffffff80293107>]
autoremove_wake_function+0x0/0x2e
Jun  8 23:44:36 gliadin kernel:  [<ffffffff803b1fd9>] hub_thread+0x0/0xbd9
Jun  8 23:44:36 gliadin kernel:  [<ffffffff80292f6f>]
keventd_create_kthread+0x0/0x65
Jun  8 23:44:36 gliadin kernel:  [<ffffffff80230224>] kthread+0xd0/0xff
Jun  8 23:44:36 gliadin kernel:  [<ffffffff80257f38>] child_rip+0xa/0x12
Jun  8 23:44:36 gliadin kernel:  [<ffffffff80292f6f>]
keventd_create_kthread+0x0/0x65
Jun  8 23:44:36 gliadin kernel:  [<ffffffff80230154>] kthread+0x0/0xff
Jun  8 23:44:36 gliadin kernel:  [<ffffffff80257f2e>] child_rip+0x0/0x12
Jun  8 23:44:36 gliadin kernel: 
Jun  8 23:44:36 gliadin kernel: 
Jun  8 23:44:36 gliadin kernel: Code: 83 48 14 30 c7 40 08 4d 00 00 00 c7 80 cc
00 00 00 0f 00 00 
Jun  8 23:44:36 gliadin kernel: RIP  [<ffffffff88229452>]
:ftdi_sio:ftdi_USB_UIRT_setup+0x34/0x4b
Jun  8 23:44:36 gliadin kernel:  RSP <ffff81001f98f950>
Jun  8 23:44:36 gliadin kernel: CR2: 0000000000000014

Expected results:
No errors, sound card should work

Additional info:
Looks like the crash occurred initialising the USB UIRT which was plugged in the
whole time from boot, not sure why it got involved.
Comment 1 Alan Hamilton 2007-07-18 23:44:36 EDT
I'm also seeing this with 2.6.21-1.3228.fc7.  It happens whenever I plug in a
USB-UIRT IR device.

Jul 18 20:37:18 localhost kernel: usb 2-2.3: new full speed USB device using
uhci_hcd and address 7
Jul 18 20:37:18 localhost kernel: usb 2-2.3: configuration #1 chosen from 1 choice
Jul 18 20:37:18 localhost kernel: usbcore: registered new interface driver usbserial
Jul 18 20:37:18 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial
support registered for generic
Jul 18 20:37:18 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial
Driver core
Jul 18 20:37:18 localhost kernel: drivers/usb/serial/usb-serial.c: USB Serial
support registered for FTDI USB Serial Device
Jul 18 20:37:18 localhost kernel: ftdi_sio 2-2.3:1.0: FTDI USB Serial Device
converter detected
Jul 18 20:37:18 localhost kernel: Unable to handle kernel NULL pointer
dereference at 0000000000000014 RIP: 
Jul 18 20:37:18 localhost kernel:  [<ffffffff883d1452>]
:ftdi_sio:ftdi_USB_UIRT_setup+0x34/0x4b
Jul 18 20:37:18 localhost kernel: PGD 509e7067 PUD 50904067 PMD 0 
Jul 18 20:37:18 localhost kernel: Oops: 0002 [1] SMP 
Jul 18 20:37:18 localhost kernel: last sysfs file:
/devices/pci0000:00/0000:00:10.1/usb2/idVendor
Jul 18 20:37:18 localhost kernel: CPU 0 
Jul 18 20:37:18 localhost kernel: Modules linked in: ftdi_sio usbserial ppdev
autofs4 hidp rfcomm l2cap bluetooth sunrpc ipv6 nf_conntrack_netbios_ns nf_conn
track_ipv4 xt_state nf_conntrack nfnetlink xt_tcpudp ipt_REJECT iptable_filter
ip_tables x_tables dm_multipath video sbs i2c_ec button dock battery ac lp loo
p usblp snd_via82xx gameport snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_pcm_oss parport_pc snd_mixer_oss parport snd_pc
m serio_raw i2c_viapro i2c_core snd_timer snd_page_alloc snd_mpu401_uart
snd_rawmidi snd_seq_device snd soundcore r8169 k8_edac edac_mc pcspkr k8temp hwmon s
hpchp ata_generic floppy sr_mod cdrom sg dm_snapshot dm_zero dm_mirror dm_mod
usb_storage pata_via sata_via libata sd_mod scsi_mod ext3 jbd mbcache ehci_hcd 
ohci_hcd uhci_hcd
Jul 18 20:37:18 localhost kernel: Pid: 3006, comm: modprobe Not tainted
2.6.21-1.3228.fc7 #1
Jul 18 20:37:18 localhost kernel: RIP: 0010:[<ffffffff883d1452>] 
[<ffffffff883d1452>] :ftdi_sio:ftdi_USB_UIRT_setup+0x34/0x4b
Jul 18 20:37:18 localhost kernel: RSP: 0018:ffff810051e4fb58  EFLAGS: 00010246
Jul 18 20:37:18 localhost kernel: RAX: 0000000000000000 RBX: ffff810053910c40
RCX: ffffffff883d1b7e
Jul 18 20:37:18 localhost kernel: RDX: ffffffff883d8f00 RSI: ffff810049c09600
RDI: ffff810053910c40
Jul 18 20:37:18 localhost kernel: RBP: 0000000000000040 R08: 0000000000000000
R09: ffff810053ddb980
Jul 18 20:37:18 localhost kernel: R10: 44206c6169726553 R11: 44206c6169726553
R12: ffff810053fd1800
Jul 18 20:37:18 localhost kernel: R13: ffff810053910c40 R14: ffffffff883d8bc0
R15: 0000000000000000
Jul 18 20:37:18 localhost kernel: FS:  00002aaaab0186f0(0000)
GS:ffffffff8059d000(0000) knlGS:0000000000000000
Jul 18 20:37:18 localhost kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Jul 18 20:37:18 localhost kernel: CR2: 0000000000000014 CR3: 00000000504d5000
CR4: 00000000000006e0
Jul 18 20:37:18 localhost kernel: Process modprobe (pid: 3006, threadinfo
ffff810051e4e000, task ffff810051bde100)
Jul 18 20:37:18 localhost kernel: Stack:  ffff810050aeb800 ffffffff883d00a7
ffff810053fd1800 ffffffff883c4b02
Jul 18 20:37:18 localhost kernel:  0007810000393630 ffff810052db2c00
ffff810052db2d78 ffff810052db2c20
Jul 18 20:37:18 localhost kernel:  ffff810051070000 0000000037f5d040
0000000100000000 0000000100000001
Jul 18 20:37:18 localhost kernel: Call Trace:
Jul 18 20:37:18 localhost kernel:  [<ffffffff883d00a7>]
:ftdi_sio:ftdi_sio_attach+0x17/0x1b
Jul 18 20:37:18 localhost kernel:  [<ffffffff883c4b02>]
:usbserial:usb_serial_probe+0xa05/0xe47
Jul 18 20:37:18 localhost kernel:  [<ffffffff80242214>] try_to_wake_up+0x423/0x434
Jul 18 20:37:18 localhost kernel:  [<ffffffff8023ab67>] lock_timer_base+0x26/0x4b
Jul 18 20:37:18 localhost kernel:  [<ffffffff80245f47>]
try_to_del_timer_sync+0x51/0x5a
Jul 18 20:37:18 localhost kernel:  [<ffffffff803b6dbf>] usb_resume_both+0xb1/0xc9
Jul 18 20:37:18 localhost kernel:  [<ffffffff803b78ab>]
usb_probe_interface+0xa7/0xde
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039e695>] really_probe+0xcd/0x152
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039e8fd>] __driver_attach+0x90/0xcd
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039e86d>] __driver_attach+0x0/0xcd
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039e86d>] __driver_attach+0x0/0xcd
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039db2d>] bus_for_each_dev+0x43/0x6e
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039de6f>] bus_add_driver+0x6b/0x18d
Jul 18 20:37:18 localhost kernel:  [<ffffffff803b73be>]
usb_register_driver+0x7e/0xe4
Jul 18 20:37:18 localhost kernel:  [<ffffffff882270a3>]
:ftdi_sio:ftdi_init+0xa3/0xd0
Jul 18 20:37:18 localhost kernel:  [<ffffffff8029b968>]
sys_init_module+0x1668/0x17ca
Jul 18 20:37:18 localhost kernel:  [<ffffffff802ac42d>]
audit_syscall_entry+0x141/0x174
Jul 18 20:37:18 localhost kernel:  [<ffffffff8025729c>] tracesys+0xdc/0xe1
Jul 18 20:37:18 localhost kernel: 
Jul 18 20:37:18 localhost kernel: 
Jul 18 20:37:18 localhost kernel: Code: 83 48 14 30 c7 40 08 4d 00 00 00 c7 80
cc 00 00 00 0f 00 00 
Jul 18 20:37:18 localhost kernel: RIP: 0010:[<ffffffff883d1452>] 
[<ffffffff883d1452>] :ftdi_sio:ftdi_USB_UIRT_setup+0x34/0x4b
Jul 18 20:37:18 localhost kernel: RSP: 0018:ffff810051e4fb58  EFLAGS: 00010246
Jul 18 20:37:18 localhost kernel: RAX: 0000000000000000 RBX: ffff810053910c40
RCX: ffffffff883d1b7e
Jul 18 20:37:18 localhost kernel: RDX: ffffffff883d8f00 RSI: ffff810049c09600
RDI: ffff810053910c40
Jul 18 20:37:18 localhost kernel: RBP: 0000000000000040 R08: 0000000000000000
R09: ffff810053ddb980
Jul 18 20:37:18 localhost kernel: R10: 44206c6169726553 R11: 44206c6169726553
R12: ffff810053fd1800
Jul 18 20:37:18 localhost kernel: R13: ffff810053910c40 R14: ffffffff883d8bc0
R15: 0000000000000000
Jul 18 20:37:18 localhost kernel: FS:  00002aaaab0186f0(0000)
GS:ffffffff8059d000(0000) knlGS:0000000000000000
Jul 18 20:37:18 localhost kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Jul 18 20:37:18 localhost kernel: CR2: 0000000000000014 CR3: 00000000504d5000
CR4: 00000000000006e0
Jul 18 20:37:18 localhost kernel: Process modprobe (pid: 3006, threadinfo
ffff810051e4e000, task ffff810051bde100)
Jul 18 20:37:18 localhost kernel: Stack:  ffff810050aeb800 ffffffff883d00a7
ffff810053fd1800 ffffffff883c4b02
Jul 18 20:37:18 localhost kernel:  0007810000393630 ffff810052db2c00
ffff810052db2d78 ffff810052db2c20
Jul 18 20:37:18 localhost kernel:  ffff810051070000 0000000037f5d040
0000000100000000 0000000100000001
Jul 18 20:37:18 localhost kernel: Call Trace:
Jul 18 20:37:18 localhost kernel:  [<ffffffff883d00a7>]
:ftdi_sio:ftdi_sio_attach+0x17/0x1b
Jul 18 20:37:18 localhost kernel:  [<ffffffff883c4b02>]
:usbserial:usb_serial_probe+0xa05/0xe47
Jul 18 20:37:18 localhost kernel:  [<ffffffff80242214>] try_to_wake_up+0x423/0x434
Jul 18 20:37:18 localhost kernel:  [<ffffffff8023ab67>] lock_timer_base+0x26/0x4b
Jul 18 20:37:18 localhost kernel:  [<ffffffff80245f47>]
try_to_del_timer_sync+0x51/0x5a
Jul 18 20:37:18 localhost kernel:  [<ffffffff803b6dbf>] usb_resume_both+0xb1/0xc9
Jul 18 20:37:18 localhost kernel:  [<ffffffff803b78ab>]
usb_probe_interface+0xa7/0xde
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039e695>] really_probe+0xcd/0x152
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039e8fd>] __driver_attach+0x90/0xcd
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039e86d>] __driver_attach+0x0/0xcd
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039e86d>] __driver_attach+0x0/0xcd
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039db2d>] bus_for_each_dev+0x43/0x6e
Jul 18 20:37:18 localhost kernel:  [<ffffffff8039de6f>] bus_add_driver+0x6b/0x18d
Jul 18 20:37:18 localhost kernel:  [<ffffffff803b73be>]
usb_register_driver+0x7e/0xe4
Jul 18 20:37:18 localhost kernel:  [<ffffffff882270a3>]
:ftdi_sio:ftdi_init+0xa3/0xd0
Jul 18 20:37:18 localhost kernel:  [<ffffffff8029b968>]
sys_init_module+0x1668/0x17ca
Jul 18 20:37:18 localhost kernel:  [<ffffffff802ac42d>]
audit_syscall_entry+0x141/0x174
Jul 18 20:37:18 localhost kernel:  [<ffffffff8025729c>] tracesys+0xdc/0xe1
Jul 18 20:37:18 localhost kernel: 
Jul 18 20:37:18 localhost kernel: 
Jul 18 20:37:18 localhost kernel: Code: 83 48 14 30 c7 40 08 4d 00 00 00 c7 80
cc 00 00 00 0f 00 00 
Jul 18 20:37:18 localhost kernel: RIP  [<ffffffff883d1452>]
:ftdi_sio:ftdi_USB_UIRT_setup+0x34/0x4b
Jul 18 20:37:18 localhost kernel:  RSP <ffff810051e4fb58>
Jul 18 20:37:18 localhost kernel: CR2: 0000000000000014
Comment 2 Alan Hamilton 2007-07-19 16:45:10 EDT
This appears to be http://bugzilla.kernel.org/show_bug.cgi?id=8564
Comment 3 Chuck Ebbert 2007-07-19 17:01:26 EDT
Fixed in upstream commit 0ffbbe25a73db12792a05f725aa39f8a5de2c882

queued for Fedora
Comment 4 Martin Ebourne 2007-07-29 20:08:48 EDT
I can confirm this is fixed in kernel-2.6.22.1-33.fc7.
Comment 5 Alan Hamilton 2007-07-31 15:58:07 EDT
It's resolved for me too.  I'd say close this with CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.